.details-view {
    position: relative;
    height: 100%;
    width: 100%;
    box-sizing: border-box;
    padding: 24px 24px 24px 48px;
    overflow: scroll;
}

.nodes-view {
    position: relative;
    min-height: 25000px;
    min-width: 25000px;
    box-sizing: border-box;
    padding-bottom: 10%;
    margin-top: 60px;
    background-color: var(--main);
    transform-origin: 0 0;
    transition: 0.6s;
}

.node-container {
    position: absolute;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: calc(var(--node-h) * 2);
    width: calc(var(--node-w) * 1.5);
    transition: 0.4s;
    z-index: 10;
}

.node-container.rapid {
    transition: 0ms;
}

.node-children {
    position: relative;
    display: flex;
    flex-direction: row;
    align-items: center;
    margin-top: 120px;
    transition: 0.4s;
}

.node {
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: center;
    height: var(--node-h);
    width: fit-content;
    min-width: var(--node-w);
    box-sizing: border-box;
    padding: 8px 8px;
    border: 2px solid transparent;
    border-radius: 8px;
    background-color: var(--main-soft);
    color: var(--text-color);
    font-size: 13px;
    text-align: center;
    cursor: pointer;
    transition: 0.6s;
}

.node .pin {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    position: absolute;
    height: var(--node-h);
    width: 24px;
}

.node .pin.top {
    top: -32px;
    transform: rotate(90deg);
}

.node .pin.right {
    right: -15px;
    transform: rotate(-180deg);
}

.node .pin.bottom {
    bottom: -32px;
    transform: rotate(-90deg);
}

.node .pin.left {
    left: -15px;
}

.node .pin .start {
    display: none;
    height: 3px;
    width: 20px;
    background-color: var(--focus-hard);
    opacity: 0;
    transform: rotate(-90deg);
    transition: 0.4s;
    border-radius: 20px 20px 0 0;
}

.node .pin .end {
    display: none;
    height: 0px;
    width: 0px;
    border-left: 5px solid transparent;
    border-right: 5px solid transparent;
    border-top: 10px solid var(--theme);
    opacity: 0;
    transform: rotate(-90deg);
    transition: 0.4s;
}

.node .pin .start.visible {
    display: flex;
    opacity: 1;
}

.node .pin .end.visible {
    display: flex;
    opacity: 1;
}

.node .pin .start.selected {
    background-color: #9ec0e3;
}

.node .pin .end.selected {
    background-color: #9ec0e3;
}

.node > label {
    user-select: none;
    cursor: pointer;
}

.node-container .direction {
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 24px;
    width: 24px;
    box-sizing: border-box;
    padding: 4px;
    border: 1px solid var(--main-softer);
    border-radius: 50%;
    background-color: var(--main);
    opacity: 0;
    cursor: pointer;
    transition: 0.4s;
    z-index: 50;
}

.nodes-view.connecting .node-container:hover .direction {
    display: flex;
    opacity: 1;
}

.node-container .direction:hover {
    border: 1px solid var(--focus);
}

.node-container .direction.top {
    top: -4px;
    transform: rotate(90deg);
}

.node-container .direction.right {
    top: 48px;
    right: 12px;
}

.node-container .direction.bottom {
    bottom: -4px;
    transform: rotate(90deg);
}

.node-container .direction.left {
    top: 48px;
    left: 12px;
}

.node:hover {
    box-shadow: rgba(50, 50, 93, 0.25) 0px 13px 27px -5px, rgba(0, 0, 0, 0.3) 0px 8px 16px -8px;
}

.node.rapid {
    transition: 0ms;
}

.node.rapid:hover {
    box-shadow: rgba(0, 0, 0, 0.16) 0px 1px 4px;
    cursor: crosshair;
}

.node-container.active > .node {
    box-shadow: rgba(163, 225, 220, 0.7) 0px 0px 6px;
}

.node .tag {
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    bottom: 4px;
    right: 8px;
    height: 16px;
    width: 16px;
    box-sizing: border-box;
    border-radius: 50%;
    background-color: var(--theme-hard);
    color: var(--text-color);
    font-family: Inter;
    font-size: 7px;
    opacity: 0;
    transition: 0.4s;
}

.node-container.actions .tag {
    opacity: 1;
}

.node .static-tag {
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    top: 4px;
    right: 8px;
    height: 16px;
    width: 16px;
    box-sizing: border-box;
    border-radius: 50%;
    font-family: Inter;
    font-size: 12px;
    opacity: 0;
    transition: 0.4s;
}

.node-container.static .static-tag {
    opacity: 1;
}

.node .root-tag {
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    top: 4px;
    left: 8px;
    height: 16px;
    width: 16px;
    box-sizing: border-box;
    border-radius: 50%;
    font-family: Inter;
    font-size: 12px;
    opacity: 0;
    transition: 0.4s;
}

.node-container.root .root-tag {
    opacity: 1;
}

.node .inbound-root-tag {
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    top: 4px;
    left: 8px;
    height: 16px;
    width: 16px;
    box-sizing: border-box;
    border-radius: 50%;
    font-family: Inter;
    font-size: 12px;
    opacity: 0;
    transition: 0.4s;
}

.node-container.inbound-root .inbound-root-tag {
    opacity: 1;
}

.node .entry-tag {
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    bottom: 4px;
    left: 8px;
    height: 16px;
    width: 16px;
    box-sizing: border-box;
    border-radius: 50%;
    font-family: Inter;
    font-size: 12px;
    opacity: 0;
    transition: 0.4s;
}

.node-container.entry .entry-tag {
    opacity: 1;
}

.condition {
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    top: calc(50% - 10px);
    left: calc(50% - 10px);
    height: 20px;
    width: 20px;
    box-sizing: border-box;
    border-radius: 50%;
    cursor: pointer;
    pointer-events: all; 
    z-index: 55;
}

.condition .img-container {
    height: 85%;
    width: 85%;
    margin-top: -0.25px;
    background-color: var(--main);
}

.condition img {
    height: 100%;
}

.condition .tooltip {
    position: absolute;
    left: 32px;
    bottom: 0;
    height: 0;
    width: 0;
    box-sizing: border-box;
    padding: 0px;
    border: none;
    border-radius: 8px;
    background-color: transparent;
    color: transparent;
    font-family: Inter;
    font-size: 12px;
    font-weight: 500;
    opacity: 0;
    overflow: hidden;
    transition: 0.4s ease-out;
    z-index: 54;
}

.condition:hover > .tooltip {
    height: fit-content;
    width: fit-content;
    min-width: 140px;
    padding: 8px;
    border: 1px solid var(--alert);
    background-color: var(--alertBG);
    color: var(--alert);
    transition: 0.6s;
    opacity: 1;
}

.condition.valid:hover > .tooltip {
    display: none;
}

.condition .helper {
    position: absolute;
    left: 32px;
    bottom: 0;
    height: 0;
    width: 0;
    box-sizing: border-box;
    padding: 0px;
    border: none;
    border-radius: 4px;
    background-color: transparent;
    color: transparent;
    background-color: var(--main-soft);
    color: var(--text-color);
    font-family: Inter;
    font-size: 12px;
    font-weight: 500;
    opacity: 0;
    overflow: hidden;
    transition: 0.4s ease-out;
    z-index: 54;
}

.condition.direction > .helper {
    display: none;
}

.condition.valid:hover > .helper {
    height: fit-content;
    width: fit-content;
    padding: 8px;
    border: 1px solid var(--focus);
    background-color: var(--main-soft);
    color: var(--text-color-dark);
    transition: 0.6s;
    opacity: 1;
    white-space: nowrap;
}